/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */
package org.almendra.commons.util.collection;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;


public class CollectionBlock
{
	protected Collection collection = null;
	
	/**
	 * Creates a new <code>CollectionBlock</code> object.
	 */
	protected CollectionBlock()
	{
		super();
	}
	
	/**
	 * Creates a new <code>CollectionBlock</code> object.
	 */
	public CollectionBlock(Collection collection)
	{
		super();
		this.collection = collection;
	}
	
	public Collection select(IBooleanBlock booleanBlock)
	{
		Collection result = new ArrayList();
		Iterator it = collection.iterator();
		while (it.hasNext())
		{
			Object obj = it.next();
			if(booleanBlock.evaluate(obj))
				result.add(obj);
		}
		return result;
	}
	
	public static Collection example()
	{
		List l = new ArrayList();
		l.add(new Integer(1));
		l.add(new Integer(4));
		l.add(new Integer(2));
		l.add(new Integer(89));
		
		Collection c = new org.almendra.commons.util.collection.CollectionBlock(l).select(
			new IBooleanBlock() 
			{ 
				public boolean evaluate(Object o)
				{
					Integer i = (Integer) o;
					return i.intValue() > 2;
				}
			}
		);
		return c;
	}	

}
