/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.ade.demo.fibonacci;

import org.almendra.commons.util.AssertUtility;
import org.almendra.commons.util.collection.StringVector;
import org.almendra.janet.cas.node.ApplicationAccessor;


/**
 * @author Oliver Plohmann
 *
 */
public class ApplicationInfo
{
	protected String name = null;
	protected String nodeName = null;
	protected ApplicationAccessor app = null;
	protected StringVector agentNames = null;
	
	/**
	 * Creates a new <code>ApplicationInfo</code> object.
	 */
	protected ApplicationInfo()
	{
		super();
	}
	
	/**
	 * Creates a new <code>ApplicationInfo</code> object.
	 */
	public ApplicationInfo(String name)
	{
		super();
		this.name = name;
	}
	
	/**
	 * @return Returns the name.
	 */
	public String getName()
	{
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name)
	{
		this.name = name;
	}
	/**
	 * @return Returns the app.
	 */
	public ApplicationAccessor getApp()
	{
		return app;
	}
	/**
	 * @param app The app to set.
	 */
	public void setApp(ApplicationAccessor app)
	{
		this.app = app;
	}
	/**
	 * @return Returns the agentNames.
	 */
	public StringVector getAgentNames()
	{
		return agentNames;
	}
	/**
	 * @param agentNames The agentNames to set.
	 */
	public void setAgentNames(StringVector agentNames)
	{
		this.agentNames = agentNames;
	}
	/**
	 * @return Returns the nodeName.
	 */
	public String getNodeName()
	{
		return nodeName;
	}
	/**
	 * @param nodeName The nodeName to set.
	 */
	public void setNodeName(String nodeName)
	{
		if(this.nodeName != null)
			AssertUtility.assertTrue(this.nodeName.equals(nodeName));
		this.nodeName = nodeName;
	}
}
