/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.ade.distributor;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.almendra.commons.util.swing.TextAreaPanelController;


/**
 * @author Oliver Plohmann
 *
 */
public abstract class DecisionInformation
{
	/**
	 * Creates a new <code>DecisionInformation</code> object.
	 */
	public DecisionInformation()
	{
		super();
	}

	/**
	 * @param freeText
	 */
	public void printOn(TextAreaPanelController freeText)
	{
		String tab = "     "; //$NON-NLS-1$
		StringBuffer text = new StringBuffer();
		printOnPrim(text, tab);
		freeText.insert(text.toString(), 0);
	}

	/**
	 * @param text
	 * @param tab
	 */
	protected abstract void printOnPrim(StringBuffer text, String tab);

	/**
	 * @param text
	 */
	protected void printOnString(StringBuffer text, List list)
	{
		Iterator it = list.iterator();
		if(it.hasNext())
			text.append("["); //$NON-NLS-1$
		while (it.hasNext())
		{
			String string = (String) it.next();
			text.append(string);
			if(it.hasNext())
				text.append(", "); //$NON-NLS-1$
			else
				text.append("].\n"); //$NON-NLS-1$
		}
	}

	/**
	 * @param text
	 */
	protected void printOnStringAssocStringInteger(StringBuffer text, Map map)
	{
		Iterator it = map.entrySet().iterator();
		if(it.hasNext())
			text.append("["); //$NON-NLS-1$
		while (it.hasNext())
		{
			Map.Entry entry = (Map.Entry) it.next();
			String string = (String) entry.getKey();
			Integer i = (Integer) entry.getValue();
			text.append(string + "->" + i.toString()); //$NON-NLS-1$
			if(it.hasNext())
				text.append(", "); //$NON-NLS-1$
			else
				text.append("].\n"); //$NON-NLS-1$
		}
	}
}
