/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.cas.handlers;

import org.almendra.commons.events.IEventParams;

/**
 * @author Oliver Plohmann
 *
 */
public class AskVetoShutdownEventParams implements IEventParams
{
	public static final String EVENT_NAME = "ASK_VETO_SHUTDOWN"; //$NON-NLS-1$
	
	protected String nodeName = null;
	
	/**
	 * Creates a new <code>AskVetoShutdownEventParams</code> object.
	 */
	public AskVetoShutdownEventParams()
	{
		super();
	}

	/**
	  * Creates a new <code>AskVetoShutdownEventParams</code> object.
	  */
	public AskVetoShutdownEventParams(String nodeName)
	{
		this.nodeName = nodeName;
	}

	/* (non-Javadoc)
	 * @see org.almendra.commons.commons.events.IEventParams#put(java.lang.Object, java.lang.Object)
	 */
	public void put(Object key, Object value)
	{
	}

	/* (non-Javadoc)
	 * @see org.almendra.commons.commons.events.IEventParams#get(java.lang.Object)
	 */
	public Object get(Object key)
	{
		return null;
	}
	/**
	 * @return Returns the nodeName.
	 */
	public String getNodeName()
	{
		return nodeName;
	}
	/**
	 * @param nodeName The nodeName to set.
	 */
	public void setNodeName(String nodeName)
	{
		this.nodeName = nodeName;
	}
}
