package org.almendra.janet.cas.node.gui;

/*
 * Copyright (C) 2003, 2004 Oliver Plohmann All rights reserved. Redistribution
 * and use in source and binary forms, with or without modification, are
 * permitted provided that redistributions of source code or in binary form
 * must reproduce the above copyright notice, and the disclaimer that follows.
 * In addition, you are required that you include in the end-user documentation
 * provided with the redistribution and/or in the software itself an
 * acknowledgement equivalent to the following: "This product is based on the
 * Janet software developed by the JANET Project
 * (http://www.oliverplohmann.de/janet/)." THIS SOFTWARE IS PROVIDED ``AS IS''
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
import java.awt.*;
import javax.swing.*;

import org.almendra.commons.util.swing.BillboardPanelController;
import org.almendra.commons.util.swing.TextAreaPanelController;
import org.almendra.janet.cas.node.Node;


/**
 * This type was generated by a SmartGuide.
 */
public class NodeView extends JFrame
{
	private JMenuItem ivjAbout_BoxMenuItem = null;
	private JButton ivjCopyButton = null;
	private JButton ivjCutButton = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private JMenuItem ivjExitMenuItem = null;
	private JMenu ivjFileMenu = null;
	private JMenu ivjHelpMenu = null;
	private JPanel ivjJFrameContentPane = null;
	private JMenuBar ivjNodeViewJMenuBar = null;
	private JPanel ivjNodeViewPane = null;
	private JButton ivjPasteButton = null;
	private JMenuItem ivjStatusbarMenuItem = null;
	private JPanel ivjStatusBarPane = null;
	private JLabel ivjStatusMsg1 = null;
	private JLabel ivjStatusMsg2 = null;
	private JMenuItem ivjToolbarMenuItem = null;
	private JToolBar ivjToolBarPane = null;
	private JMenu ivjViewMenu = null;
	protected Node node = null;
	private JPanel ivjJLogPanel = null;
	private JTabbedPane ivjJTabbedPane = null;
	private JPanel ivjJApplicationsPage = null;
	private JScrollPane ivjJApplicationsPageScrollPane = null;
	private JTree ivjJApplicationsTree = null;
	private JScrollPane ivjJLogEntryScrollPane = null;
	private JTextPane ivjJLogEntryTextPane = null;
	private JList ivjJLogList = null;
	private JScrollPane ivjJLogListScrollPane = null;
	private JSplitPane ivjJLogSplitPane = null;
	private NodeViewController controller = null;
	private JPanel ivjJAgentsPanel = null;
	private JScrollPane ivjJAgentsScrollPane = null;
	private JTree ivjJAgentsTree = null;
	private BillboardPanelController billboardController = null;
	private TextAreaPanelController freeTextController = null;
	private JTextArea ivjJBillboardArea = null;
	private JPanel ivjJBillboardPanel = null;
	private JScrollPane ivjJBillboardScrollPane = null;
	private JButton ivjJButtonOpenView = null;
	private JList ivjJListViews = null;
	private JPanel ivjJPanelViews = null;
	private JScrollPane ivjJScrollPaneViewTab = null;

	class IvjEventHandler implements java.awt.event.ActionListener, javax.swing.event.ListSelectionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent e)
		{
			if (e.getSource() == NodeView.this.getToolbarMenuItem())
				connEtoC1(e);
			if (e.getSource() == NodeView.this.getStatusbarMenuItem())
				connEtoC2(e);
			if (e.getSource() == NodeView.this.getAbout_BoxMenuItem())
				connEtoC3(e);
			if (e.getSource() == NodeView.this.getExitMenuItem())
				connEtoC10(e);
			if (e.getSource() == NodeView.this.getJButtonOpenView()) 
				connEtoC4(e);
		}

		public void valueChanged(javax.swing.event.ListSelectionEvent e)
		{
			if (e.getSource() == NodeView.this.getJLogList())
				connEtoC9(e);
		}
	}

	private JTextArea ivjJFreeTextArea = null;
	private JPanel ivjJFreeTextPanel = null;
	private JScrollPane ivjJFreeTextScrollPane = null;

	/**
	 * NodeView constructor comment.
	 */
	public NodeView()
	{
		super();
		initialize();
	}

	/**
	 * NodeView constructor comment.
	 * 
	 * @param title
	 *            java.lang.String
	 */
	public NodeView(String title)
	{
		super(title);
	}

	public NodeView(Node newNode)
	{
		super();
		controller = new NodeViewController(this, newNode);
		initialize();
	}

	/**
	 * connEtoC1:
	 * (ToolbarMenuItem.action.actionPerformed(java.awt.event.ActionEvent) -->
	 * NodeView.viewToolBar()V)
	 * 
	 * @param arg1
	 *            java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC1(java.awt.event.ActionEvent arg1)
	{
		try
		{
			// user code begin {1}
			// user code end
			this.viewToolBar();
			// user code begin {2}
			// user code end
		}
		catch (java.lang.Throwable ivjExc)
		{
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC10:
	 * (ExitMenuItem.action.actionPerformed(java.awt.event.ActionEvent) -->
	 * NodeView.exitMenuItem_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
	 * 
	 * @param arg1
	 *            java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC10(java.awt.event.ActionEvent arg1)
	{
		try
		{
			// user code begin {1}
			// user code end
			this.exitMenuItem_ActionPerformed(arg1);
			// user code begin {2}
			// user code end
		}
		catch (java.lang.Throwable ivjExc)
		{
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:
	 * (StatusbarMenuItem.action.actionPerformed(java.awt.event.ActionEvent)
	 * --> NodeView.viewStatusBar()V)
	 * 
	 * @param arg1
	 *            java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC2(java.awt.event.ActionEvent arg1)
	{
		try
		{
			// user code begin {1}
			// user code end
			this.viewStatusBar();
			// user code begin {2}
			// user code end
		}
		catch (java.lang.Throwable ivjExc)
		{
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:
	 * (About_BoxMenuItem.action.actionPerformed(java.awt.event.ActionEvent)
	 * --> NodeView.showAboutBox()V)
	 * 
	 * @param arg1
	 *            java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC3(java.awt.event.ActionEvent arg1)
	{
		try
		{
			// user code begin {1}
			// user code end
			this.showAboutBox();
			// user code begin {2}
			// user code end
		}
		catch (java.lang.Throwable ivjExc)
		{
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}
	
	/**
	 * connEtoC4:  (JButtonOpenView.action.actionPerformed(java.awt.event.ActionEvent) --> NodeView.jButtonOpenView_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC4(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.jButtonOpenView_ActionPerformed(arg1);
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC9:
	 * (JLogList.listSelection.valueChanged(javax.swing.event.ListSelectionEvent)
	 * -->
	 * NodeView.jLogList_ValueChanged(Ljavax.swing.event.ListSelectionEvent;)V)
	 * 
	 * @param arg1
	 *            javax.swing.event.ListSelectionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC9(javax.swing.event.ListSelectionEvent arg1)
	{
		try
		{
			// user code begin {1}
			// user code end
			this.jLogList_ValueChanged(arg1);
			// user code begin {2}
			// user code end
		}
		catch (java.lang.Throwable ivjExc)
		{
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * Comment
	 */
	public void exitMenuItem_ActionPerformed(java.awt.event.ActionEvent actionEvent)
	{
		controller.viewExitRequest();
	}

	/**
	 * Return the About_BoxMenuItem property value.
	 * 
	 * @return javax.swing.JMenuItem
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenuItem getAbout_BoxMenuItem()
	{
		if (ivjAbout_BoxMenuItem == null)
		{
			try
			{
				ivjAbout_BoxMenuItem = new javax.swing.JMenuItem();
				ivjAbout_BoxMenuItem.setName("About_BoxMenuItem");
				ivjAbout_BoxMenuItem.setText("About Box");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjAbout_BoxMenuItem;
	}

	/**
	 * @return Returns the billboardController.
	 */
	public BillboardPanelController getBillboardController()
	{
		if (billboardController == null)
		{
			billboardController = new BillboardPanelController(getJBillboardArea());
		}
		return billboardController;
	}

	/**
	 * Return the CopyButton property value.
	 * 
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getCopyButton()
	{
		if (ivjCopyButton == null)
		{
			try
			{
				ivjCopyButton = new javax.swing.JButton();
				ivjCopyButton.setName("CopyButton");
				ivjCopyButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/copy.gif")));
				ivjCopyButton.setText("");
				ivjCopyButton.setMargin(new java.awt.Insets(0, 0, 0, 0));
				ivjCopyButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjCopyButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjCopyButton;
	}

	/**
	 * Return the CutButton property value.
	 * 
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getCutButton()
	{
		if (ivjCutButton == null)
		{
			try
			{
				ivjCutButton = new javax.swing.JButton();
				ivjCutButton.setName("CutButton");
				ivjCutButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cut.gif")));
				ivjCutButton.setText("");
				ivjCutButton.setMargin(new java.awt.Insets(0, 0, 0, 0));
				ivjCutButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjCutButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjCutButton;
	}

	/**
	 * Return the ExitMenuItem property value.
	 * 
	 * @return javax.swing.JMenuItem
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenuItem getExitMenuItem()
	{
		if (ivjExitMenuItem == null)
		{
			try
			{
				ivjExitMenuItem = new javax.swing.JMenuItem();
				ivjExitMenuItem.setName("ExitMenuItem");
				ivjExitMenuItem.setText("Exit");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjExitMenuItem;
	}

	/**
	 * Return the FileMenu property value.
	 * 
	 * @return javax.swing.JMenu
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenu getFileMenu()
	{
		if (ivjFileMenu == null)
		{
			try
			{
				ivjFileMenu = new javax.swing.JMenu();
				ivjFileMenu.setName("FileMenu");
				ivjFileMenu.setText("File");
				ivjFileMenu.add(getExitMenuItem());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjFileMenu;
	}

	/**
	 * Return the HelpMenu property value.
	 * 
	 * @return javax.swing.JMenu
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenu getHelpMenu()
	{
		if (ivjHelpMenu == null)
		{
			try
			{
				ivjHelpMenu = new javax.swing.JMenu();
				ivjHelpMenu.setName("HelpMenu");
				ivjHelpMenu.setText("Help");
				ivjHelpMenu.add(getAbout_BoxMenuItem());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjHelpMenu;
	}

	/**
	 * Return the JAgentsPanel property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJAgentsPanel()
	{
		if (ivjJAgentsPanel == null)
		{
			try
			{
				ivjJAgentsPanel = new javax.swing.JPanel();
				ivjJAgentsPanel.setName("JAgentsPanel");
				ivjJAgentsPanel.setAutoscrolls(true);
				ivjJAgentsPanel.setLayout(new java.awt.BorderLayout());
				getJAgentsPanel().add(getJAgentsScrollPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJAgentsPanel;
	}

	/**
	 * Return the JAgentsScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJAgentsScrollPane()
	{
		if (ivjJAgentsScrollPane == null)
		{
			try
			{
				ivjJAgentsScrollPane = new javax.swing.JScrollPane();
				ivjJAgentsScrollPane.setName("JAgentsScrollPane");
				ivjJAgentsScrollPane.setAutoscrolls(true);
				getJAgentsScrollPane().setViewportView(getJAgentsTree());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJAgentsScrollPane;
	}

	/**
	 * Return the JAgentsTree property value.
	 * 
	 * @return javax.swing.JTree
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JTree getJAgentsTree()
	{
		if (ivjJAgentsTree == null)
		{
			try
			{
				ivjJAgentsTree = new javax.swing.JTree();
				ivjJAgentsTree.setName("JAgentsTree");
				ivjJAgentsTree.setAutoscrolls(true);
				ivjJAgentsTree.setShowsRootHandles(true);
				ivjJAgentsTree.setBounds(0, 0, 146, 87);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJAgentsTree;
	}

	/**
	 * Return the ApplicationsPage property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJApplicationsPage()
	{
		if (ivjJApplicationsPage == null)
		{
			try
			{
				ivjJApplicationsPage = new javax.swing.JPanel();
				ivjJApplicationsPage.setName("JApplicationsPage");
				ivjJApplicationsPage.setAutoscrolls(true);
				ivjJApplicationsPage.setLayout(new java.awt.BorderLayout());
				getJApplicationsPage().add(getJApplicationsPageScrollPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJApplicationsPage;
	}

	/**
	 * Return the JApplicationsPageScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJApplicationsPageScrollPane()
	{
		if (ivjJApplicationsPageScrollPane == null)
		{
			try
			{
				ivjJApplicationsPageScrollPane = new javax.swing.JScrollPane();
				ivjJApplicationsPageScrollPane.setName("JApplicationsPageScrollPane");
				ivjJApplicationsPageScrollPane.setAutoscrolls(true);
				getJApplicationsPageScrollPane().setViewportView(getJApplicationsTree());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJApplicationsPageScrollPane;
	}

	/**
	 * Return the JApplicationsTree property value.
	 * 
	 * @return javax.swing.JTree
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JTree getJApplicationsTree()
	{
		if (ivjJApplicationsTree == null)
		{
			try
			{
				ivjJApplicationsTree = new javax.swing.JTree();
				ivjJApplicationsTree.setName("JApplicationsTree");
				ivjJApplicationsTree.setShowsRootHandles(true);
				ivjJApplicationsTree.setAutoscrolls(true);
				ivjJApplicationsTree.setBounds(0, 0, 78, 72);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJApplicationsTree;
	}

	/**
	 * Return the JBillboardArea property value.
	 * 
	 * @return javax.swing.JTextArea
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JTextArea getJBillboardArea()
	{
		if (ivjJBillboardArea == null)
		{
			try
			{
				ivjJBillboardArea = new javax.swing.JTextArea();
				ivjJBillboardArea.setName("JBillboardArea");
				ivjJBillboardArea.setBounds(0, 0, 160, 120);
				ivjJBillboardArea.setEditable(false);
				// user code begin {1}
				ivjJBillboardArea.setFont(new Font("Courier", java.awt.Font.PLAIN, 12)); //$NON-NLS-1$
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJBillboardArea;
	}

	/**
	 * Return the JBillboardPanel property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJBillboardPanel()
	{
		if (ivjJBillboardPanel == null)
		{
			try
			{
				ivjJBillboardPanel = new javax.swing.JPanel();
				ivjJBillboardPanel.setName("JBillboardPanel");
				ivjJBillboardPanel.setLayout(new java.awt.BorderLayout());
				getJBillboardPanel().add(getJBillboardScrollPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJBillboardPanel;
	}

	/**
	 * Return the JBillboardScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJBillboardScrollPane()
	{
		if (ivjJBillboardScrollPane == null)
		{
			try
			{
				ivjJBillboardScrollPane = new javax.swing.JScrollPane();
				ivjJBillboardScrollPane.setName("JBillboardScrollPane");
				getJBillboardScrollPane().setViewportView(getJBillboardArea());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJBillboardScrollPane;
	}

	/**
	 * Return the JFrameContentPane property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJFrameContentPane()
	{
		if (ivjJFrameContentPane == null)
		{
			try
			{
				ivjJFrameContentPane = new javax.swing.JPanel();
				ivjJFrameContentPane.setName("JFrameContentPane");
				ivjJFrameContentPane.setLayout(new java.awt.BorderLayout());
				getJFrameContentPane().add(getToolBarPane(), "North");
				getJFrameContentPane().add(getStatusBarPane(), "South");
				getJFrameContentPane().add(getNodeViewPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJFrameContentPane;
	}

	/**
	 * Return the JFreeTextArea property value.
	 * 
	 * @return javax.swing.JTextArea
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JTextArea getJFreeTextArea()
	{
		if (ivjJFreeTextArea == null)
		{
			try
			{
				ivjJFreeTextArea = new javax.swing.JTextArea();
				ivjJFreeTextArea.setName("JFreeTextArea");
				ivjJFreeTextArea.setBounds(0, 0, 160, 120);
				ivjJFreeTextArea.setEditable(false);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJFreeTextArea;
	}

	/**
	 * Return the JFreeTextPanel property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJFreeTextPanel()
	{
		if (ivjJFreeTextPanel == null)
		{
			try
			{
				ivjJFreeTextPanel = new javax.swing.JPanel();
				ivjJFreeTextPanel.setName("JFreeTextPanel");
				ivjJFreeTextPanel.setLayout(new java.awt.BorderLayout());
				getJFreeTextPanel().add(getJFreeTextScrollPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJFreeTextPanel;
	}

	/**
	 * Return the JFreeTextScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJFreeTextScrollPane()
	{
		if (ivjJFreeTextScrollPane == null)
		{
			try
			{
				ivjJFreeTextScrollPane = new javax.swing.JScrollPane();
				ivjJFreeTextScrollPane.setName("JFreeTextScrollPane");
				getJFreeTextScrollPane().setViewportView(getJFreeTextArea());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJFreeTextScrollPane;
	}

	/**
	 * Return the JLogEntryScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJLogEntryScrollPane()
	{
		if (ivjJLogEntryScrollPane == null)
		{
			try
			{
				ivjJLogEntryScrollPane = new javax.swing.JScrollPane();
				ivjJLogEntryScrollPane.setName("JLogEntryScrollPane");
				ivjJLogEntryScrollPane.setAutoscrolls(true);
				getJLogEntryScrollPane().setViewportView(getJLogEntryTextPane());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogEntryScrollPane;
	}

	/**
	 * Return the JLogEntryTextPane property value.
	 * 
	 * @return javax.swing.JTextPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JTextPane getJLogEntryTextPane()
	{
		if (ivjJLogEntryTextPane == null)
		{
			try
			{
				ivjJLogEntryTextPane = new javax.swing.JTextPane();
				ivjJLogEntryTextPane.setName("JLogEntryTextPane");
				ivjJLogEntryTextPane.setAutoscrolls(true);
				ivjJLogEntryTextPane.setBounds(0, 0, 160, 120);
				ivjJLogEntryTextPane.setEditable(false);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogEntryTextPane;
	}

	/**
	 * Return the JLogList property value.
	 * 
	 * @return javax.swing.JList
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JList getJLogList()
	{
		if (ivjJLogList == null)
		{
			try
			{
				ivjJLogList = new javax.swing.JList();
				ivjJLogList.setName("JLogList");
				ivjJLogList.setModel(new javax.swing.DefaultListModel());
				ivjJLogList.setBackground(java.awt.Color.lightGray);
				ivjJLogList.setBounds(0, 0, 160, 120);
				// user code begin {1}
				ivjJLogList.setFont(new java.awt.Font("Helvetica", java.awt.Font.PLAIN, 12));
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogList;
	}

	/**
	 * Return the JLogListScrollPane property value.
	 * 
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJLogListScrollPane()
	{
		if (ivjJLogListScrollPane == null)
		{
			try
			{
				ivjJLogListScrollPane = new javax.swing.JScrollPane();
				ivjJLogListScrollPane.setName("JLogListScrollPane");
				ivjJLogListScrollPane.setAutoscrolls(true);
				getJLogListScrollPane().setViewportView(getJLogList());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogListScrollPane;
	}

	/**
	 * Return the JLogPanel property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJLogPanel()
	{
		if (ivjJLogPanel == null)
		{
			try
			{
				ivjJLogPanel = new javax.swing.JPanel();
				ivjJLogPanel.setName("JLogPanel");
				ivjJLogPanel.setAutoscrolls(true);
				ivjJLogPanel.setLayout(new java.awt.BorderLayout());
				getJLogPanel().add(getJLogSplitPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogPanel;
	}

	/**
	 * Return the JLogSplitPane property value.
	 * 
	 * @return javax.swing.JSplitPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JSplitPane getJLogSplitPane()
	{
		if (ivjJLogSplitPane == null)
		{
			try
			{
				ivjJLogSplitPane = new javax.swing.JSplitPane(javax.swing.JSplitPane.VERTICAL_SPLIT);
				ivjJLogSplitPane.setName("JLogSplitPane");
				ivjJLogSplitPane.setAutoscrolls(true);
				ivjJLogSplitPane.setOneTouchExpandable(true);
				ivjJLogSplitPane.setContinuousLayout(false);
				getJLogSplitPane().add(getJLogListScrollPane(), "top");
				getJLogSplitPane().add(getJLogEntryScrollPane(), "bottom");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLogSplitPane;
	}

	/**
	 * Return the JTabbedPane property value.
	 * 
	 * @return javax.swing.JTabbedPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JTabbedPane getJTabbedPane()
	{
		if (ivjJTabbedPane == null)
		{
			try
			{
				ivjJTabbedPane = new javax.swing.JTabbedPane();
				ivjJTabbedPane.setName("JTabbedPane");
				ivjJTabbedPane.setAutoscrolls(true);
				ivjJTabbedPane.insertTab("Applications", null, getJApplicationsPage(), null, 0);
				ivjJTabbedPane.insertTab("Agents", null, getJAgentsPanel(), null, 1);
				ivjJTabbedPane.insertTab("Log Entries", null, getJLogPanel(), null, 2);
				ivjJTabbedPane.insertTab("Values", null, getJBillboardPanel(), null, 3);
				ivjJTabbedPane.insertTab("Text", null, getJFreeTextPanel(), null, 4);
				ivjJTabbedPane.insertTab("Views", null, getJPanelViews(), null, 5);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJTabbedPane;
	}

	/**
	 * Insert the method's description here. Creation date: (16.01.2004
	 * 20:09:02)
	 */
	protected Node getNode()
	{
		if (controller == null)
			return null;
		return controller.getNode();
	}

	/**
	 * Return the NodeViewJMenuBar property value.
	 * 
	 * @return javax.swing.JMenuBar
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenuBar getNodeViewJMenuBar()
	{
		if (ivjNodeViewJMenuBar == null)
		{
			try
			{
				ivjNodeViewJMenuBar = new javax.swing.JMenuBar();
				ivjNodeViewJMenuBar.setName("NodeViewJMenuBar");
				ivjNodeViewJMenuBar.add(getFileMenu());
				ivjNodeViewJMenuBar.add(getViewMenu());
				ivjNodeViewJMenuBar.add(getHelpMenu());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjNodeViewJMenuBar;
	}

	/**
	 * Return the NodeViewPane property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getNodeViewPane()
	{
		if (ivjNodeViewPane == null)
		{
			try
			{
				ivjNodeViewPane = new javax.swing.JPanel();
				ivjNodeViewPane.setName("NodeViewPane");
				ivjNodeViewPane.setAutoscrolls(true);
				ivjNodeViewPane.setLayout(new java.awt.BorderLayout());
				getNodeViewPane().add(getJTabbedPane(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjNodeViewPane;
	}

	/**
	 * Return the PasteButton property value.
	 * 
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getPasteButton()
	{
		if (ivjPasteButton == null)
		{
			try
			{
				ivjPasteButton = new javax.swing.JButton();
				ivjPasteButton.setName("PasteButton");
				ivjPasteButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/copy.gif")));
				ivjPasteButton.setText("");
				ivjPasteButton.setMargin(new java.awt.Insets(0, 0, 0, 0));
				ivjPasteButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjPasteButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjPasteButton;
	}

	/**
	 * Return the StatusbarMenuItem property value.
	 * 
	 * @return javax.swing.JMenuItem
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenuItem getStatusbarMenuItem()
	{
		if (ivjStatusbarMenuItem == null)
		{
			try
			{
				ivjStatusbarMenuItem = new javax.swing.JMenuItem();
				ivjStatusbarMenuItem.setName("StatusbarMenuItem");
				ivjStatusbarMenuItem.setText("Statusbar");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjStatusbarMenuItem;
	}

	/**
	 * Return the StatusBarPane property value.
	 * 
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getStatusBarPane()
	{
		if (ivjStatusBarPane == null)
		{
			try
			{
				ivjStatusBarPane = new javax.swing.JPanel();
				ivjStatusBarPane.setName("StatusBarPane");
				ivjStatusBarPane.setLayout(new java.awt.BorderLayout());
				getStatusBarPane().add(getStatusMsg1(), "West");
				getStatusBarPane().add(getStatusMsg2(), "Center");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjStatusBarPane;
	}

	/**
	 * Return the StatusMsg1 property value.
	 * 
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JLabel getStatusMsg1()
	{
		if (ivjStatusMsg1 == null)
		{
			try
			{
				ivjStatusMsg1 = new javax.swing.JLabel();
				ivjStatusMsg1.setName("StatusMsg1");
				ivjStatusMsg1.setBorder(new javax.swing.border.EtchedBorder());
				ivjStatusMsg1.setText("                             ");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjStatusMsg1;
	}

	/**
	 * Return the StatusMsg2 property value.
	 * 
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JLabel getStatusMsg2()
	{
		if (ivjStatusMsg2 == null)
		{
			try
			{
				ivjStatusMsg2 = new javax.swing.JLabel();
				ivjStatusMsg2.setName("StatusMsg2");
				ivjStatusMsg2.setBorder(new javax.swing.border.EtchedBorder());
				ivjStatusMsg2.setText(" ");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjStatusMsg2;
	}

	/**
	 * Return the ToolbarMenuItem property value.
	 * 
	 * @return javax.swing.JMenuItem
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenuItem getToolbarMenuItem()
	{
		if (ivjToolbarMenuItem == null)
		{
			try
			{
				ivjToolbarMenuItem = new javax.swing.JMenuItem();
				ivjToolbarMenuItem.setName("ToolbarMenuItem");
				ivjToolbarMenuItem.setText("Toolbar");
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjToolbarMenuItem;
	}

	/**
	 * Return the ToolBarPane property value.
	 * 
	 * @return javax.swing.JToolBar
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JToolBar getToolBarPane()
	{
		if (ivjToolBarPane == null)
		{
			try
			{
				ivjToolBarPane = new javax.swing.JToolBar();
				ivjToolBarPane.setName("ToolBarPane");
				ivjToolBarPane.add(getCutButton());
				ivjToolBarPane.add(getCopyButton());
				ivjToolBarPane.addSeparator();
				ivjToolBarPane.add(getPasteButton());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjToolBarPane;
	}

	/**
	 * Return the ViewMenu property value.
	 * 
	 * @return javax.swing.JMenu
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JMenu getViewMenu()
	{
		if (ivjViewMenu == null)
		{
			try
			{
				ivjViewMenu = new javax.swing.JMenu();
				ivjViewMenu.setName("ViewMenu");
				ivjViewMenu.setText("View");
				ivjViewMenu.add(getToolbarMenuItem());
				ivjViewMenu.add(getStatusbarMenuItem());
				// user code begin {1}
				// user code end
			}
			catch (java.lang.Throwable ivjExc)
			{
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjViewMenu;
	}

	/**
	 * Called whenever the part throws an exception.
	 * 
	 * @param exception
	 *            java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception)
	{
		/* Uncomment the following lines to print uncaught exceptions to stdout */
		System.out.println("--------- UNCAUGHT EXCEPTION ---------");
		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * 
	 * @exception java.lang.Exception
	 *                The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception
	{
		// user code begin {1}
		// user code end
		getToolbarMenuItem().addActionListener(ivjEventHandler);
		getStatusbarMenuItem().addActionListener(ivjEventHandler);
		getAbout_BoxMenuItem().addActionListener(ivjEventHandler);
		getJLogList().addListSelectionListener(ivjEventHandler);
		getExitMenuItem().addActionListener(ivjEventHandler);
		getJButtonOpenView().addActionListener(ivjEventHandler);
	}

	/**
	 * Insert the method's description here. Creation date: (13.11.2003
	 * 18:48:33)
	 */
	protected void initFromNode()
	{
		setTitle(controller.getNode().getViewTitle());
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize()
	{
		try
		{
			// user code begin {1}
			// user code end
			setName("NodeView");
			setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
			setJMenuBar(getNodeViewJMenuBar());
			setSize(512, 511);
			setTitle("Janet.node");
			setContentPane(getJFrameContentPane());
			initConnections();
		}
		catch (java.lang.Throwable ivjExc)
		{
			handleException(ivjExc);
		}
		// user code begin {2}
		initPanels();
		// user code end
	}

	private void initPanels()
	{
		if (controller != null)
			controller.initPanels();
	}

	/**
	 * Comment
	 */
	public void jButtonAdd_ActionPerformed(java.awt.event.ActionEvent actionEvent)
	{
		return;
	}

	/**
	 * Comment
	 */
	public void jButtonRemove_ActionPerformed(java.awt.event.ActionEvent actionEvent)
	{
		return;
	}

	/**
	 * Comment
	 */
	public void jCheckBoxSubscribeAll_ActionPerformed(java.awt.event.ActionEvent actionEvent)
	{
		return;
	}

	/**
	 * Comment
	 */
	public void jListAvailableLogEvents_ValueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)
	{
		System.out.println("jListAvailableLogEvents_ValueChanged");
		return;
	}

	/**
	 * Comment
	 */
	public void jListSubscribedLogEvents_ValueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)
	{
		return;
	}

	/**
	 * Comment
	 */
	public void jLogList_ValueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)
	{
		controller.logListValueChanged(listSelectionEvent);
		return;
	}

	/**
	 * Starts the application.
	 * 
	 * @param args
	 *            an array of command-line arguments
	 */
	public static void main(java.lang.String[] args)
	{
		try
		{
			/* Set native look and feel */
			UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
			/* Create the frame */
			NodeView aNodeView = new NodeView();
			/* Calculate the screen size */
			Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
			/* Pack frame on the screen */
			aNodeView.pack();
			/* Center frame on the screen */
			Dimension frameSize = aNodeView.getSize();
			if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
			if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
			aNodeView.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
			/* Add a windowListener for the windowClosedEvent */
			aNodeView.addWindowListener(new java.awt.event.WindowAdapter()
			{
				public void windowClosed(java.awt.event.WindowEvent e)
				{
					NodeView nodeView = (NodeView) e.getSource();
					nodeView.shutdown();
				}
			});
			aNodeView.setVisible(true);
		}
		catch (Throwable exception)
		{
			System.err.println("Exception occurred in main() of NodeView");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Starts the application.
	 * 
	 * @param args
	 *            an array of command-line arguments
	 */
	public static void open(Node node)
	{
		try
		{
			/* Set cross platform look and feel */
			UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
			/* Create the frame */
			NodeView aNodeView = new NodeView(node);
			aNodeView.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
			/* Calculate the screen size */
			Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
			/* Pack frame on the screen */
			aNodeView.pack();
			/* Center frame on the screen */
			Dimension frameSize = aNodeView.getSize();
			if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
			if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
			aNodeView.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
			/* Add a windowListener for the windowClosedEvent */
			aNodeView.addWindowListener(new java.awt.event.WindowAdapter()
			{
				public void windowClosing(java.awt.event.WindowEvent e)
				{
					NodeView nodeView = (NodeView) e.getSource();
					if (nodeView.shutdown())
						nodeView.dispose();
				}
			});
			aNodeView.setVisible(true);
			aNodeView.initFromNode();
		}
		catch (Throwable exception)
		{
			System.err.println("Exception occurred in main() of NodeView");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Insert the method's description here. Creation date: (13.11.2003
	 * 17:46:58)
	 */
	public void setSize(Dimension dim)
	{
		dim.setSize(550, 600);
		super.setSize(dim);
	}

	public void showAboutBox()
	{
		/* Create the AboutBox dialog */
		NodeViewAboutBox aNodeViewAboutBox = new NodeViewAboutBox();
		Dimension dialogSize = aNodeViewAboutBox.getPreferredSize();
		Dimension frameSize = getSize();
		Point loc = getLocation();
		aNodeViewAboutBox.setLocation((frameSize.width - dialogSize.width) / 2 + loc.x,
				(frameSize.height - dialogSize.height) / 2 + loc.y);
		aNodeViewAboutBox.setModal(true);
		aNodeViewAboutBox.show();
	}

	/**
	 * Insert the method's description here. Creation date: (13.11.2003
	 * 18:33:00)
	 */
	protected boolean shutdown()
	{
		if (getNode() != null) // null if view started up from GUI editor
			return getNode().getAccessor().shutdown();
		return true;
	}

	public void viewStatusBar()
	{
		/* Hide or show the statusbar */
		getStatusBarPane().setVisible(!(getStatusBarPane().isVisible()));
	}

	public void viewToolBar()
	{
		/* Hide or show the toolbar */
		getToolBarPane().setVisible(!(getToolBarPane().isVisible()));
	}

	/**
	 * @return
	 */
	public TextAreaPanelController getFreeTextController(int clearTextTabAfterLines)
	{
		if (freeTextController == null)
		{
			freeTextController = new TextAreaPanelController(getJFreeTextArea(), clearTextTabAfterLines);
		}
		return freeTextController;
	}
	
	/**
	 * Return the JScrollPaneViewTab property value.
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJScrollPaneViewTab() {
		if (ivjJScrollPaneViewTab == null) {
			try {
				ivjJScrollPaneViewTab = new javax.swing.JScrollPane();
				ivjJScrollPaneViewTab.setName("JScrollPaneViewTab");
				ivjJScrollPaneViewTab.setBounds(32, 31, 318, 216);
				getJScrollPaneViewTab().setViewportView(getJListViews());
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJScrollPaneViewTab;
	}
	
	/**
	 * Return the JButtonOpenView property value.
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getJButtonOpenView() {
		if (ivjJButtonOpenView == null) {
			try {
				ivjJButtonOpenView = new javax.swing.JButton();
				ivjJButtonOpenView.setName("JButtonOpenView");
				ivjJButtonOpenView.setBorder(new javax.swing.border.EtchedBorder());
				ivjJButtonOpenView.setText("Open");
				ivjJButtonOpenView.setBounds(381, 31, 85, 25);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJButtonOpenView;
	}
	
	/**
	 * Return the JListViews property value.
	 * @return javax.swing.JList
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	protected javax.swing.JList getJListViews() {
		if (ivjJListViews == null) {
			try {
				ivjJListViews = new javax.swing.JList();
				ivjJListViews.setName("JListViews");
				ivjJListViews.setBounds(0, 0, 160, 120);
				// user code begin {1}
				ivjJListViews.setModel(new javax.swing.DefaultListModel());
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJListViews;
	}
	
	/**
	 * Return the JPanelViews property value.
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJPanelViews() {
		if (ivjJPanelViews == null) {
			try {
				ivjJPanelViews = new javax.swing.JPanel();
				ivjJPanelViews.setName("JPanelViews");
				ivjJPanelViews.setLayout(null);
				getJPanelViews().add(getJScrollPaneViewTab(), getJScrollPaneViewTab().getName());
				getJPanelViews().add(getJButtonOpenView(), getJButtonOpenView().getName());
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJPanelViews;
	}
	
	public void jButtonOpenView_ActionPerformed(java.awt.event.ActionEvent actionEvent) 
	{
		controller.openButtonClicked();
		return;
	}
}
