/*
 * 
 * Copyright (C) 2003, 2004 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.oliverplohmann.de/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.cas.node.gui;

import javax.swing.tree.DefaultMutableTreeNode;

import org.almendra.commons.util.collection.IVisitor;
import org.almendra.commons.util.collection.TreeNode;


/**
 * @author Oliver
 *
 */
public class TreeNodeVisitor implements IVisitor
{
	protected DefaultMutableTreeNode root = null;
	/**
	 * Creates a new <code>TreeNodeVisitor</code> object.
	 */
	public TreeNodeVisitor()
	{
		super();
	}

	/* (non-Javadoc)
	 * @see org.almendra.commons.commons.util.collection.IVisitor#accept(java.lang.Object)
	 */
	public void accept(TreeNode currentNode)
	{
		String nodeLabel = (String) currentNode.getValue();
		DefaultMutableTreeNode node = new DefaultMutableTreeNode(nodeLabel);
		currentNode.setVisitorObject(node);
		
		if(root == null)
		{
			root = node;
			return;
		}
		
		DefaultMutableTreeNode parentNode = (DefaultMutableTreeNode) currentNode.getParent().getVisitorObject();						
		parentNode.insert(node, parentNode.getChildCount());		
	}

	/**
	 * @return Returns the root.
	 */
	public DefaultMutableTreeNode getRootNode()
	{
		return root;
	}

}
